Last Comment Bug 528134 - inDOMUtils::GetRuleNodeForContent can hand back a dead rulenode
: inDOMUtils::GetRuleNodeForContent can hand back a dead rulenode
Status: RESOLVED FIXED
[sg:critical?]
: crash, fixed1.9.0.18
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
: 527567 532539 (view as bug list)
Depends on:
Blocks: 527567
  Show dependency treegraph
 
Reported: 2009-11-11 21:01 PST by Boris Zbarsky [:bz]
Modified: 2010-05-09 16:25 PDT (History)
9 users (show)
roc: blocking1.9.2+
dveditz: blocking1.9.0.18+
dveditz: wanted1.9.0.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta5-fixed
.8+
.8-fixed


Attachments
Fix (2.74 KB, patch)
2009-11-11 21:09 PST, Boris Zbarsky [:bz]
dbaron: review+
dbaron: approval1.9.2+
Details | Diff | Splinter Review
1.9.1/1.9.0 merge (7.40 KB, patch)
2009-11-24 21:53 PST, Boris Zbarsky [:bz]
dbaron: review+
dveditz: approval1.9.1.8+
dveditz: approval1.9.0.18+
Details | Diff | Splinter Review
1.8.0 version (5.49 KB, patch)
2010-01-27 05:15 PST, Martin Stránský
no flags Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] 2009-11-11 21:01:16 PST
See bug 527567 comment 5.
Comment 1 Boris Zbarsky [:bz] 2009-11-11 21:09:44 PST
Created attachment 411888 [details] [diff] [review]
Fix

Zack, do you prefer r=zwol, or r=zweinberg, or something else?
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-11 21:40:28 PST
A bunch of tabs snuck in to that patch (making the lines look misindented).
Comment 3 Boris Zbarsky [:bz] 2009-11-11 21:48:50 PST
Good catch.  Fixed locally.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-24 17:08:54 PST
Comment on attachment 411888 [details] [diff] [review]
Fix

r=dbaron

We should really get this in on 1.9.2...
Comment 5 Boris Zbarsky [:bz] 2009-11-24 21:36:25 PST
http://hg.mozilla.org/mozilla-central/rev/d5a6793282b0
Comment 7 Boris Zbarsky [:bz] 2009-11-24 21:53:08 PST
Created attachment 414451 [details] [diff] [review]
1.9.1/1.9.0 merge

Applies on 1.9.0 with -F3.
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-25 00:05:22 PST
Comment on attachment 414451 [details] [diff] [review]
1.9.1/1.9.0 merge

r=dbaron
Comment 9 Samuel Sidler (old account; do not CC) 2009-11-25 11:48:34 PST
These bugs landed after b4 was cut. Moving flag out.
Comment 10 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-11-26 13:24:23 PST
*** Bug 527567 has been marked as a duplicate of this bug. ***
Comment 11 Daniel Veditz [:dveditz] 2009-12-02 15:41:14 PST
Comment on attachment 414451 [details] [diff] [review]
1.9.1/1.9.0 merge

Approved for 1.9.1.7 and 1.9.0.17, a=dveditz for release-drivers
Comment 12 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-12-14 15:28:31 PST
*** Bug 532539 has been marked as a duplicate of this bug. ***
Comment 13 Boris Zbarsky [:bz] 2009-12-15 18:11:38 PST
Pushed http://hg.mozilla.org/releases/mozilla-1.9.1/rev/35d5359743c3

Checked into CVS:

Checking in layout/inspector/src/inDOMUtils.cpp;
/cvsroot/mozilla/layout/inspector/src/inDOMUtils.cpp,v  <--  inDOMUtils.cpp
new revision: 1.42; previous revision: 1.41
done
Checking in layout/inspector/src/inDOMUtils.h;
/cvsroot/mozilla/layout/inspector/src/inDOMUtils.h,v  <--  inDOMUtils.h
new revision: 1.13; previous revision: 1.12
done
Checking in layout/style/nsIInspectorCSSUtils.h;
/cvsroot/mozilla/layout/style/nsIInspectorCSSUtils.h,v  <--  nsIInspectorCSSUtils.h
new revision: 1.12; previous revision: 1.11
done
Checking in layout/style/nsInspectorCSSUtils.cpp;
/cvsroot/mozilla/layout/style/nsInspectorCSSUtils.cpp,v  <--  nsInspectorCSSUtils.cpp
new revision: 1.37; previous revision: 1.36
done
Checking in layout/style/nsInspectorCSSUtils.h;
/cvsroot/mozilla/layout/style/nsInspectorCSSUtils.h,v  <--  nsInspectorCSSUtils.h
new revision: 1.13; previous revision: 1.12
Comment 14 Martin Stránský 2010-01-27 05:15:59 PST
Created attachment 423780 [details] [diff] [review]
1.8.0 version
Comment 15 Henrik Skupin (:whimboo) 2010-01-28 07:03:21 PST
David or Boris, how can QA verify this fix? For the given signature in the summary no crashes are listed at all. For which signature I would have to search?
Comment 16 Boris Zbarsky [:bz] 2010-01-28 07:35:59 PST
See bug 527567.
Comment 17 Henrik Skupin (:whimboo) 2010-01-28 12:12:08 PST
(In reply to comment #16)
> See bug 527567.

I'm not able to reproduce the crash with an 3.5.7 build and the Google Page Speed addon installed. Looks like we have to wait for the beta cycle or the release to check the crash stats.
Comment 18 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-01-28 21:31:42 PST
It should be hard to reproduce without frame poisoning.

Note You need to log in before you can comment on or make changes to this bug.